<?php

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
   $filename = basename(__FILE__);
   $module['wow_admin_title']['wow_admin_content'] = $filename;

   return;
}

//
// Let's set the root dir for phpBB
//
$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);
include($phpbb_root_path . 'includes/functions_selects.'.$phpEx);

//
// Pull all config data
//
$sql = "SELECT *
	FROM " . CONFIG_TABLE;
if(!$result = $db->sql_query($sql))
{
	message_die(CRITICAL_ERROR, "Could not query config information in admin_board", "", __LINE__, __FILE__, $sql);
}
else
{
	while( $row = $db->sql_fetchrow($result) )
	{
		$config_name = $row['config_name'];
		$config_value = $row['config_value'];
		$default_config[$config_name] = isset($_POST['submit']) ? str_replace("'", "\'", $config_value) : $config_value;

		$new[$config_name] = ( isset($_POST[$config_name]) ) ? $_POST[$config_name] : $default_config[$config_name];

		if ($config_name == 'cookie_name')
		{
			$new['cookie_name'] = str_replace('.', '_', $new['cookie_name']);
		}

		// Attempt to prevent a common mistake with this value,
		// http:// is the protocol and not part of the server name
		if ($config_name == 'server_name')
		{
			$new['server_name'] = str_replace('http://', '', $new['server_name']);
		}
		// Attempt to prevent a mistake with this value.
		if ($config_name == 'avatar_path')
		{
			$new['avatar_path'] = trim($new['avatar_path']);
			if (strstr($new['avatar_path'], "\0") || !is_dir($phpbb_root_path . $new['avatar_path']) || !is_writable($phpbb_root_path . $new['avatar_path']))
			{
				$new['avatar_path'] = $default_config['avatar_path'];
			}
		}
		if( isset($_POST['submit']) )
		{
			$sql = "UPDATE " . CONFIG_TABLE . " SET
				config_value = '" . str_replace("\'", "''", $new[$config_name]) . "'
				WHERE config_name = '$config_name'";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, "Failed to update general configuration for $config_name", "", __LINE__, __FILE__, $sql);
			}
		}
	}

	if( isset($_POST['submit']) )
	{
		$message = $lang['Config_updated'] . "<br /><br />" . sprintf($lang['Click_return_wow_config'], "<a href=\"" . append_sid("admin_wow.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");

		message_die(GENERAL_MESSAGE, $message);
	}
}


$class_array = array('druid','hunter','mage','paladin','priest','rogue','shaman','warlock','warrior');


for ($i = 0; $i <= 8; $i++) {

	$cv = $board_config["class_" . $class_array[$i]];
	$cn = $class_array[$i];
	create_menu_item($cv, $cn);
	${"class_" . $class_array[$i] . "_menu"} = $retval;

}


$template->set_filenames(array(
	"body" => "admin/wow_config_body.tpl")
	);

$template->assign_vars(array(
	'DRUID_MENU' => $class_druid_menu,
	'DRUID_MENU_TITLE' => $lang['druid_menu_title'],
	'HUNTER_MENU' => $class_hunter_menu,
	'HUNTER_MENU_TITLE' => $lang['hunter_menu_title'],
	'MAGE_MENU' => $class_mage_menu,
	'MAGE_MENU_TITLE' => $lang['mage_menu_title'],
	'PALADIN_MENU' => $class_paladin_menu,
	'PALADIN_MENU_TITLE' => $lang['paladin_menu_title'],
	'PRIEST_MENU' => $class_priest_menu,
	'PRIEST_MENU_TITLE' => $lang['priest_menu_title'],
	'ROGUE_MENU' => $class_rogue_menu,
	'ROGUE_MENU_TITLE' => $lang['rogue_menu_title'],
	'SHAMAN_MENU' => $class_shaman_menu,
	'SHAMAN_MENU_TITLE' => $lang['shaman_menu_title'],
	'WARLOCK_MENU' => $class_warlock_menu,
	'WARLOCK_MENU_TITLE' => $lang['warlock_menu_title'],
	'WARRIOR_MENU' => $class_warrior_menu,
	'WARRIOR_MENU_TITLE' => $lang['warrior_menu_title'],
	'WOW_CONFIG_TITLE' => $lang['wow_config_title'],
	'WOW_CONFIG_EXPLAIN' => $lang['wow_config_explain'])

	);


$template->pparse("body");

include('./page_footer_admin.'.$phpEx);



function create_menu_item($class_value, $class_name)
{

global $retval;

If ($class_value == 'High')
	$value_hig = 'selected';
If ($class_value == 'Medium')
	$value_med = 'selected';
If ($class_value == 'Low')
	$value_low = 'selected';
If ($class_value == 'Closed')
	$value_clo = 'selected';

$retval = "<select name='class_" . $class_name . "'>
		   <option $value_hig value='High'>High
		   <option $value_med value='Medium'>Medium
		   <option $value_low value='Low'>Low
		   <option $value_clo value='Closed'>Closed
		   </select>";

return $retval;
}


?>